Package com.verisign.epp.codec.registry.v02

## Enum EPPRegistryPeriodType.Unit

- java.lang.Object
- - java.lang.Enum<EPPRegistryPeriodType.Unit>
  - - com.verisign.epp.codec.registry.v02.EPPRegistryPeriodType.Unit

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EPPRegistryPeriodType.Unit>`
  Enclosing class:
    EPPRegistryPeriodType

      public static enum EPPRegistryPeriodType.Unit
      extends java.lang.Enum<EPPRegistryPeriodType.Unit>

  Possible values for the `unit` attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `d` | Day
    `h` | Hour
    `m` | Month
    `y` | Year

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPRegistryPeriodType.Unit` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EPPRegistryPeriodType.Unit[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### m

          public static final EPPRegistryPeriodType.Unit m

      Month

    - #### d

          public static final EPPRegistryPeriodType.Unit d

      Day

    - #### y

          public static final EPPRegistryPeriodType.Unit y

      Year

    - #### h

          public static final EPPRegistryPeriodType.Unit h

      Hour

  - ### Method Detail

    - #### values

          public static EPPRegistryPeriodType.Unit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPRegistryPeriodType.Unit c : EPPRegistryPeriodType.Unit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPRegistryPeriodType.Unit valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null